> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# WOEID별 트렌드

> 특정 지리적 위치의 트렌딩 토픽을 가져옵니다

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Trends by WOEID 엔드포인트는 Yahoo! Where On Earth ID(WOEID)로 식별되는 특정 지역의 트렌드 토픽을 반환합니다.

<div id="overview">
  ## 개요
</div>

<CardGroup cols={2}>
  <Card title="위치별" icon="location-dot">
    지원되는 모든 위치의 트렌드
  </Card>

  <Card title="전 세계 범위" icon="globe">
    국가, 도시, 지역
  </Card>

  <Card title="실시간" icon="bolt">
    현재 트렌드 주제
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## 엔드포인트
</div>

| Method | Endpoint                                                         | Description          |
| :----- | :--------------------------------------------------------------- | :------------------- |
| GET    | [`/2/trends/by/woeid/:id`](/ko/x-api/trends/get-trends-by-woeid) | WOEID에 대한 트렌드를 조회합니다 |

***

<div id="common-woeids">
  ## 자주 사용되는 WOEID
</div>

| 위치     | WOEID    |
| :----- | :------- |
| 전 세계   | 1        |
| 미국     | 23424977 |
| 영국     | 23424975 |
| 일본     | 23424856 |
| 뉴욕     | 2459115  |
| 로스앤젤레스 | 2442047  |
| 런던     | 44418    |
| 도쿄     | 1118370  |

***

<div id="example-request">
  ## 요청 예시
</div>

```bash theme={null}
curl "https://api.x.com/2/trends/by/woeid/1" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-response">
  ## 예시 응답
</div>

```json theme={null}
{
  "data": [
    {
      "trend_name": "#AI",
      "tweet_count": 250000
    },
    {
      "trend_name": "Breaking News",
      "tweet_count": 180000
    }
  ]
}
```

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **사전 준비 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project 및 App](/ko/resources/fundamentals/developer-apps)
  * App의 [Bearer 토큰](/ko/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="개인화된 트렌드" icon="user" href="/ko/x-api/trends/personalized-trends/introduction">
    인증된 사용자의 트렌드를 가져올 수 있습니다
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/trends/trends-by-woeid">
    엔드포인트 전체 문서
  </Card>
</CardGroup>
